# api

abstract fun api(notation: Any)

Adds an API dependency to this library. An API dependency is made visible to consumers that are compiled against this component.

#### Parameters

notation

The dependency notation, as per create.

abstract fun api(notation: Any, action: Action<in ExternalModuleDependency>)

Adds an API dependency to this library. An API dependency is made visible to consumers that are compiled against this component.

#### Parameters

notation

The dependency notation, as per create.

action

The action to run to configure the dependency.